package MapScriptForceFieldsScalePkg {

  function ForceFieldBareData::gainPower(%data, %obj) {
    %obj.setscale(%obj.orignalscale);
    parent::gainPower(%data, %obj);
  }
  
  function ForceFieldBareData::losePower(%data, %obj) {
    %obj.orignalscale = %obj.getscale();
    %obj.setscale("0 0 0");
    parent::losePower(%data, %obj);
  }
  function ForceFieldBareData::onAdd(%data, %obj) {
    %obj.orignalscale = %obj.getscale();
    parent::onAdd(%data, %obj);
  }

  function MapScriptForceFieldsScaleObject::delete(%this) {
    deactivatepackage(MapScriptForceFieldsScaleObject);
  }

};

if(!isObject(MapScriptForceFieldsScaleObject)) {
  new ScriptObject(MapScriptForceFieldsScaleObject) {
    Class = MapScriptForceFieldsScaleObject;
  };
  activatepackage(MapScriptForceFieldsScalePkg);
  MissionCleanup.add(MapScriptForceFieldsScaleObject);
}
